/* $Id$
   
   Copyright (C) 2018-2021 Aamot Software
   Author(s): Ole Aamot <ole@gnome.org>
   License: GNU GPL version 3
   Version: 3.0.0 (2021-11-21)
   Website: http://www.gingerblue.org/
   
*/

#include <string.h>
#include <gst/gst.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#ifndef _GINGERBLUE_RECORD_H_
#define _GINGERBLUE_RECORD_H_ 1

static gboolean message_cb (GstBus * bus, GstMessage * message, gpointer user_data);
static GstPadProbeReturn unlink_cb(GstPad *pad, GstPadProbeInfo *info, gpointer user_data);
void stopRecording();
void startRecording();
int sigintHandler(int unused);

int gingerblue_record_begin();
int gingerblue_record_end();

typedef struct _GingerblueRecord {
  gboolean recording_found;
} GingerblueRecord;

#endif /* _GINGERBLUE_RECORD_H_ */
